/*
 * @Author: your name
 * @Date: 2021-11-18 17:30:38
 * @LastEditTime: 2021-11-23 18:03:43
 * @LastEditors: Please set LastEditors
 * @Description: 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 * @FilePath: /ansu-business/src/router/index.js
 */
import Vue from 'vue'
import Router from "vue-router"
const originalPush = Router.prototype.push

Router.prototype.push = function push(location) {
  return originalPush.call(this, location).catch(err => err)
}
Vue.use(Router);

import Layout from "@/views/Layout"
const router = [
    {
        path: "/",
        name: "Layout",
        title: "外框",
        component: Layout,
        redirect: '/Console',
        meta: {title: '首页'},
        children: [
            {
                path: '/Console',
                name: "Console",
                title: "控制台",
                hide: false,
                icon: 'container',
                component: resolve => require(['@/views/Console'], resolve),
                meta: {title: '控制台'}
            },
            {
                path: '/Employee',
                name: "Employee",
                title: "员工管理",
                icon: 'database',
                hide: false,
                component: resolve => require(['@/views/Employee'], resolve),
                meta: {title: '员工管理'}
            },
            {
                path: '/authority',
                name: "Authority",
                title: "权限管理",
                icon: 'profile',
                hide: false,
                component: resolve => require(['@/views/Authority'], resolve),
                meta: {title: '权限管理'},
                children: [
                    {
                        path: '/Authority/_details',
                        name: "Authority_details",
                        title: "账单管理-详情",
                        icon: 'profile', 
                        hide: true,
                        component: resolve => require(['@/views/Authority/_details'], resolve),
                        meta: {title: '账单管理-详情'},
                    }
                ]
            },
            {
                path: '/attendance',
                name: "Attendance",
                title: "考勤管理",
                icon: 'profile',
                hide: false,
                component: resolve => require(['@/views/Attendance'], resolve),
                meta: {title: '考勤管理'},
                children: [
                    {
                        path: '/attendance/record',
                        name: "Attendance_record",
                        title: "考勤记录",
                        icon: 'profile', 
                        hide: false,
                        component: resolve => require(['@/views/Attendance/_record'], resolve),
                        meta: {title: '考勤记录'},
                    },
                    {
                        path: '/attendance/application',
                        name: "Attendance_application",
                        title: "申请记录",
                        icon: 'profile', 
                        hide: false,
                        component: resolve => require(['@/views/Attendance/_application'], resolve),
                        meta: {title: '申请记录'},
                    },
                    {
                        path: '/attendance/attendanceteam',
                        name: "Attendance_attendanceteam",
                        title: "考勤小组",
                        icon: 'profile', 
                        hide: false,
                        component: resolve => require(['@/views/Attendance/_attendanceteam'], resolve),
                        meta: {title: '考勤小组'},
                    },
                    {
                        path: '/attendance/scheduling',
                        name: "Attendance_scheduling",
                        title: "排班计划",
                        icon: 'profile', 
                        hide: false,
                        component: resolve => require(['@/views/Attendance/_scheduling'], resolve),
                        meta: {title: '排班计划'},
                    },

                ]
            },
            {
                path: '/mySettings',
                name: "MySettings",
                title: "我的设置",
                hide: false,
                icon: 'setting',
                component: resolve => require(['@/views/MySettings'], resolve),
                meta: {title: '我的设置'}
            }
        ]
    },
    {
        path: "/login",
        name: "Login",
        title: "登录", 
        component: resolve => require(['@/views/Login'], resolve)
    }
]

export default new Router({
    routes: router
})